# vispy.scene.widgets.axis module

class vispy.scene.widgets.axis.AxisWidget(orientation='left', **kwargs)

  Bases: `Widget`

  Widget containing an axis

  Parameters:
    orientation str

      Orientation of the axis, ‘left’ or ‘bottom’.

    **kwargs dict

      Keyword arguments to pass to AxisVisual.

  link_view(view)

    Link this axis to a ViewBox

    This makes it so that the axis’s domain always matches the visible range in the ViewBox.

    Parameters:
      view instance of ViewBox

        The ViewBox to link.

  on_resize(event)

    Resize event handler

    Parameters:
      event instance of Event

        The event.

previous

vispy.scene.widgets.anchor module

next

vispy.scene.widgets.colorbar module